--- include/class.project.php	2009-01-12 23:15:12.082081730 +0200
+++ /usr/share/eventum/include/class.project.php	2009-02-05 02:15:18.643983522 +0200
@@ -29,18 +29,6 @@
 // @(#) $Id: class.project.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.group.php");
-require_once(APP_INC_PATH . "class.validation.php");
-require_once(APP_INC_PATH . "class.date.php");
-require_once(APP_INC_PATH . "class.category.php");
-require_once(APP_INC_PATH . "class.release.php");
-require_once(APP_INC_PATH . "class.filter.php");
-require_once(APP_INC_PATH . "class.support.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.status.php");
-require_once(APP_INC_PATH . "class.display_column.php");
 
 /**
  * Class to handle the business logic related to the administration
@@ -69,7 +57,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  WHERE
                     prj_id=" . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array(
@@ -108,7 +96,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  WHERE
                     prj_id=" . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -134,7 +122,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  WHERE
                     prj_id=" . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -163,7 +151,7 @@
                     prj_anonymous_post_options='" . Misc::escapeString(@serialize($_POST["options"])) . "'
                  WHERE
                     prj_id=" . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -191,7 +179,7 @@
                     prj_anonymous_post='enabled'
                  ORDER BY
                     prj_title";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -216,7 +204,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  WHERE
                     prj_id=" . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -245,7 +233,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  WHERE
                     prj_title='" . Misc::escapeString($prj_title) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -276,7 +264,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  WHERE
                     prj_id=" . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -308,7 +296,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  WHERE
                     prj_id="  . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return true;
@@ -339,7 +327,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  WHERE
                     prj_id=" . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -364,7 +352,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  WHERE
                     prj_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -405,7 +393,7 @@
         if ($users_to_not_remove != false) {
             $stmt .= " AND\n pru_usr_id NOT IN(" . join(', ', Misc::escapeInteger($users_to_not_remove)) . ")";
         }
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -442,7 +430,7 @@
                     prj_workflow_backend='" . Misc::escapeString($_POST["workflow_backend"]) . "'
                  WHERE
                     prj_id=" . Misc::escapeInteger($_POST["id"]);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -490,7 +478,7 @@
                 WHERE
                     pru_prj_id = $prj_id AND
                     pru_usr_id = $usr_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -507,7 +495,7 @@
                             $prj_id,
                             " . Misc::escapeInteger($role) . "
                          )";
-                $res = $GLOBALS["db_api"]->dbh->query($stmt);
+                $res = Db_Helper::getInstance()->query($stmt);
                 if (PEAR::isError($res)) {
                     Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                     return false;
@@ -546,7 +534,7 @@
                     prj_customer_backend,
                     prj_workflow_backend
                  ) VALUES (
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . Misc::escapeString($_POST["title"]) . "',
                     '" . Misc::escapeString($_POST["status"]) . "',
                     " . Misc::escapeInteger($_POST["lead_usr_id"]) . ",
@@ -558,7 +546,7 @@
                     '" . Misc::escapeString($_POST["customer_backend"]) . "',
                     '" . Misc::escapeString($_POST["workflow_backend"]) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -603,7 +591,7 @@
                     prj_lead_usr_id=usr_id
                  ORDER BY
                     prj_title";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -647,9 +635,9 @@
                  ORDER BY
                     prj_title";
         if ($include_role) {
-            $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt, true, array(), DB_FETCHMODE_ASSOC);
+            $res = Db_Helper::getInstance()->getAssoc($stmt, true, array(), DB_FETCHMODE_ASSOC);
         } else {
-            $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+            $res = Db_Helper::getInstance()->getAssoc($stmt);
         }
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -696,7 +684,7 @@
         $stmt .= "
                  ORDER BY
                     usr_full_name ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -726,7 +714,7 @@
                     pru_usr_id=usr_id
                  ORDER BY
                     usr_full_name ASC";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -757,7 +745,7 @@
         $stmt .= "
                  ORDER BY
                     prj_title";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -781,7 +769,7 @@
         $list = Project::getAddressBook($prj_id, $issue_id);
         $emails = array();
         foreach ($list as $address => $name) {
-            $emails[] = Mail_API::getEmailAddress($address);
+            $emails[] = Mail_Helper::getEmailAddress($address);
         }
         return $emails;
     }
@@ -854,7 +842,7 @@
                  ORDER BY
                     usr_customer_id DESC,
                     usr_full_name ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -882,7 +870,7 @@
                     prj_remote_invocation='enabled'
                  ORDER BY
                     prj_title";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -925,7 +913,7 @@
         $stmt .= "
                  ORDER BY
                     prj_title";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -973,7 +961,7 @@
         $stmt .= "
                  ORDER BY
                     usr_email ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -1009,7 +997,7 @@
                     usr_id = iss_usr_id
                  ORDER BY
                     usr_full_name ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -1034,7 +1022,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_field_display
                  WHERE
                     pfd_prj_id = " . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -1053,7 +1041,7 @@
                         '" . Misc::escapeString($field) . "',
                         " . Misc::escapeInteger($min_role) . "
                      )";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -1079,7 +1067,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_field_display
                  WHERE
                     pfd_prj_id = " . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
--- include/class.release.php	2009-01-12 23:15:12.075834288 +0200
+++ /usr/share/eventum/include/class.release.php	2009-02-05 02:03:28.864057652 +0200
@@ -29,9 +29,6 @@
 // @(#) $Id: class.release.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.validation.php");
 
 /**
  * Class to handle the business logic related to the administration
@@ -59,7 +56,7 @@
                  WHERE
                     pre_id=" . Misc::escapeInteger($pre_id) . " AND
                     pre_status='available'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -90,7 +87,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_release
                  WHERE
                     pre_id=" . Misc::escapeInteger($pre_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -115,7 +112,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_release
                  WHERE
                     pre_id=" . Misc::escapeInteger($pre_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -140,7 +137,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_release
                  WHERE
                     pre_prj_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -167,7 +164,7 @@
                     iss_pre_id=0
                  WHERE
                     iss_pre_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -176,7 +173,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_release
                      WHERE
                         pre_id IN ($items)";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return false;
@@ -209,7 +206,7 @@
                  WHERE
                     pre_prj_id=" . Misc::escapeInteger($_POST["prj_id"]) . " AND
                     pre_id=" . Misc::escapeInteger($_POST["id"]);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -245,7 +242,7 @@
                     '" . Misc::escapeString($scheduled_date) . "',
                     '" . Misc::escapeString($_POST["status"]) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -276,7 +273,7 @@
                     pre_prj_id=" . Misc::escapeInteger($prj_id) . "
                  ORDER BY
                     pre_scheduled_date ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -314,7 +311,7 @@
                     )
                  ORDER BY
                     pre_scheduled_date ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
